# Class DefaultTreeCellEditor.EditorContainer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.tree.DefaultTreeCellEditor.EditorContainer

All Implemented Interfaces:
  `ImageObserver, MenuContainer, Serializable`

Enclosing class:
  `DefaultTreeCellEditor`

public class DefaultTreeCellEditor.EditorContainer extends Container
Container responsible for placing the `editingComponent`.

## Nested Class Summary

### Nested classes/interfaces declared in class Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces declared in class Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields declared in class Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields declared in interface ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`EditorContainer()`
Constructs an `EditorContainer` object.

## Method Summary

Modifier and Type
Method
Description
`void`
`doLayout()`
Lays out this `Container`.
`void`
`EditorContainer()`
Do not use.
`Dimension`
`getPreferredSize()`
Returns the preferred size for the `Container`.
`void`
`paint(Graphics g)`
Overrides `Container.paint` to paint the node's icon and use the selection color for the background.

### Methods declared in class Container

`add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods declared in class Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EditorContainer

public EditorContainer()
Constructs an `EditorContainer` object.

## Method Details

### EditorContainer

public void EditorContainer()
Do not use.

### paint

public void paint(Graphics g)
Overrides `Container.paint` to paint the node's icon and use the selection color for the background.

Overrides:
  `paint` in class `Container`
Parameters:
  `g` - the specified Graphics window
See Also:
  - `Component.update(Graphics)`

### doLayout

public void doLayout()
Lays out this `Container`. If editing, the editor will be placed at `offset` in the x direction and 0 for y.

Overrides:
  `doLayout` in class `Container`
See Also:
  - `LayoutManager.layoutContainer(Container)`
  - `Container.setLayout(LayoutManager)`
  - `Container.validate()`

### getPreferredSize

public Dimension getPreferredSize()
Returns the preferred size for the `Container`. This will be at least preferred size of the editor plus `offset`.

Overrides:
  `getPreferredSize` in class `Container`
Returns:
  a `Dimension` containing the preferred size for the `Container`; if `editingComponent` is `null` the `Dimension` returned is 0, 0
See Also:
  - `Container.getMinimumSize()`
  - `Container.getMaximumSize()`
  - `Container.getLayout()`
  - `LayoutManager.preferredLayoutSize(Container)`
  - `Component.getPreferredSize()`